httpd-apreq-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Randy Kobes <ra...@theoryx5.uwinnipeg.ca>
Subject Re: [apreq-2] Win32 cannot find Apache::Build
Date Thu, 02 Dec 2004 06:50:16 GMT
On Thu, 2 Dec 2004, Randy Kobes wrote:

> On Thu, 2 Dec 2004, Joe Schaefer wrote:
[ ... ]
> > Where is the Apache::Build dependence coming from?
> > You should not need mp2 installed in order to run the env/
> > tests.  Are you able to run the httpd-test/perl-framework
> > test suite on Win32 without a prior mp2 install?  If so,
> > we should be able to do the same within env/t.
>
[ ... ]
> ==============================================================
> Specifically, it is around line 34 of Apache:::TestConfig:
> ==============================================================
> use constant IS_MOD_PERL_2       =>
>     eval { require mod_perl && $mod_perl::VERSION >= 1.99 } || 0;
>
> use constant IS_MOD_PERL_2_BUILD => IS_MOD_PERL_2 &&
>     require Apache::Build && Apache::Build::IS_MOD_PERL_BUILD();
> =============================================================
> which is requiring Apache::Build.
>
> Upon reflection, this does look like a bug which would be
> better addressed, rather than masked by my previous patch.

Never mind the above - I see now what my problem is. At one
point some time ago in the mp2 development I got a mp2
(partial) install not under Apache2/, which is why in the
above requiring mod_perl was successful but requiring
Apache::Build failed. Removing the old mod_perl.pm fixed
that problem (which has now introduced another problem, but
unrelated to apreq-2).

Thanks for the prod.

-- 
best regards,
randy

Mime
View raw message